KDE 4.9 PyKDE API Reference

- KDE's Python API

# KImageFilePreview Class Reference

`from PyKDE4.kio import *`

Inherits: KPreviewWidgetBase → QWidget → QObject

## Detailed Description

Image preview widget for the file dialog.

## Methods

| __init__ (self, QWidget parent=0)
| __init__ (self, KImageFilePreview a0)
| clearPreview (self)
KIO.PreviewJob | createJob (self, KUrl url, int width, int height)
| gotPreview (self, KFileItem a0, QPixmap a1)
| resizeEvent (self, QResizeEvent event)
| showPreview (self, KUrl url)
| showPreview (self)
| showPreview (self, KUrl url, bool force)
QSize | sizeHint (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Creates a new image file preview.

Parameters:

  | parent | The parent widget.

__init__ | ( | self, |
|  | KImageFilePreview | a0
| ) |  |  |

clearPreview | ( |  | self ) |

Clears the preview.

KIO.PreviewJob createJob | ( | self, |
|  | KUrl | url,
|  | int | width,
|  | int | height
| ) |  |  |

gotPreview | ( | self, |
|  | KFileItem | a0,
|  | QPixmap | a1
| ) |  |  |

resizeEvent | ( | self, |
|  | QResizeEvent | event
| ) |  |  |

showPreview | ( | self, |
|  | KUrl | url
| ) |  |  |

Shows a preview for the given url.

showPreview | ( |  | self ) |

Shows a preview for the given url.

showPreview | ( | self, |
|  | KUrl | url,
|  | bool | force
| ) |  |  |

Shows a preview for the given url.

QSize sizeHint | ( |  | self ) |

Returns the size hint for this widget.